org.apache.hc.client5.http.entity

## Class DeflateDecompressingEntity

- java.lang.Object
- - org.apache.hc.core5.http.io.entity.HttpEntityWrapper
  - - org.apache.hc.client5.http.entity.DecompressingEntity
    - - org.apache.hc.client5.http.entity.DeflateDecompressingEntity

- All Implemented Interfaces:
    Closeable, AutoCloseable, org.apache.hc.core5.http.EntityDetails, org.apache.hc.core5.http.HttpEntity

      public class DeflateDecompressingEntity
      extends DecompressingEntity

  `HttpEntityWrapper` responsible for handling deflate Content Coded responses. In RFC2616 terms, `deflate` means a `zlib` stream as defined in RFC1950. Some server implementations have misinterpreted RFC2616 to mean that a `deflate` stream as defined in RFC1951 should be used (or maybe they did that since that's how IE behaves?). It's confusing that `deflate` in HTTP 1.1 means `zlib` streams rather than `deflate` streams. We handle both types in here, since that's what is seen on the internet. Moral - prefer `gzip`!
  Since:
    4.1
  See Also:
    `GzipDecompressingEntity`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeflateDecompressingEntity(org.apache.hc.core5.http.HttpEntity entity)` Creates a new `DeflateDecompressingEntity` which will wrap the specified `HttpEntity`.

  - ### Method Summary

    - ### Methods inherited from class org.apache.hc.client5.http.entity.DecompressingEntity

      `getContent, getContentEncoding, getContentLength, writeTo`

    - ### Methods inherited from class org.apache.hc.core5.http.io.entity.HttpEntityWrapper

      `close, getContentType, getTrailerNames, getTrailers, isChunked, isRepeatable, isStreaming, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeflateDecompressingEntity

          public DeflateDecompressingEntity(org.apache.hc.core5.http.HttpEntity entity)

      Creates a new `DeflateDecompressingEntity` which will wrap the specified `HttpEntity`.
      Parameters:
        `entity` - a non-null `HttpEntity` to be wrapped

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.